<?php
include('system/init.php');

if(!isset($_REQUEST['action'])) exit;
$action = trim($_REQUEST['action']);

if($action == 'set_game_data'){
    $game_id = intval($_REQUEST['game_id']);

    // Проверяем входящие данные
    if(empty($_REQUEST['city']) || empty($_REQUEST['date_time']) || empty($_REQUEST['max_players']) || empty($_REQUEST['max_spectators']) || empty($_REQUEST['player_price']) || empty($_REQUEST['spectator_price']) || empty($_REQUEST['locationType']) || empty($_REQUEST['address']) || empty($_REQUEST['description'])){
        echo 'alert("Пожалуйста, заполните все поля");';
        exit;
    }   

    // Разбираем дату и время из формата 2025-03-01T12:00
    $date_parts = explode('T', $_REQUEST['date_time']);
    if(count($date_parts) != 2) {
        echo 'alert("Некорректный формат даты и времени");';
        exit;
    }

    $date = $date_parts[0];
    $time = $date_parts[1];

    // Разбираем дату
    list($yyyy, $mm, $dd) = explode('-', $date);
    
    // Разбираем время
    list($hh, $min) = explode(':', $time);

    // Проверяем корректность даты
    if(!checkdate($mm, $dd, $yyyy)) {
        echo 'alert("Указана некорректная дата");';
        exit;
    }

    // Проверяем корректность времени
    if($hh < 0 || $hh > 23 || $min < 0 || $min > 59) {
        echo 'alert("Указано некорректное время");';
        exit;
    }

    // Проверяем что дата не в прошлом
    $game_date = strtotime("$yyyy-$mm-$dd $hh:$min:00");
    if($game_date < time()) {
        echo 'alert("Дата и время игры не могут быть в прошлом");';
        exit;
    }
    
    // Проверяем длину адреса
    if(strlen($_REQUEST['address']) < 10) {
        echo 'alert("Проверьте адрес проведения игры, он подозрительно короткий");';
        exit;
    }

    // Проверяем длину описания 
    if(strlen($_REQUEST['description']) < 10) {
        echo 'alert("Проверьте описание игры, оно подозрительно короткое");';
        exit;
    }

    // сохраняем или обновляем данные игры
    //(empty($_REQUEST['city']) || empty($_REQUEST['date_time']) || empty($_REQUEST['max_players']) || empty($_REQUEST['max_spectators']) || empty($_REQUEST['player_price']) || empty($_REQUEST['spectator_price']) || empty($_REQUEST['locationType']) || empty($_REQUEST['address']) || empty($_REQUEST['description'])){

    $date_time = date('Y-m-d H:i:00', strtotime($date . ' ' . $time));
    if (trim($_REQUEST['locationType']) == 'online') $is_online = 1; else $is_online = 0;
    $price = "Игрок=".intval($_REQUEST['player_price']).";Зритель=".intval($_REQUEST['spectator_price']);

    $ext_data = array(
        'max_players'       => intval($_REQUEST['max_players']),
        'max_spectators'    => intval($_REQUEST['max_spectators']),
        'player_price'      => intval($_REQUEST['player_price']),
        'spectator_price'   => intval($_REQUEST['spectator_price']),
        'locationType'      => trim($_REQUEST['locationType']),
        'address'           => trim($_REQUEST['address']),
        'description'       => trim($_REQUEST['description']),
        'status'            => 'Запланирована',
        'rating'            => -1,
        'reg_info'          => '',
        'pay_url'           => 'https://t.me/'.$_SESSION["tg_user"]['username'],
    );

    // Эти данные берем из профиля ползователя
    // 1. Ссылка на оплату
    // 2. Сообщение при регистрации
    $master_data = get_master_data($_SESSION["tg_user"]['chat_id']);

    $data = array(
        'prefix'            => 'mntz',
        'alias'             => time().rand(100,999),
        'type'              => 'игра',
        'title'             => 'Игра МОНЕТИЗАТОР (мастер '.$_SESSION["tg_user"]['fio'].')',
        'location'          => trim($_REQUEST['city']),
        'is_online'         => $is_online,
        'datetime'          => $date_time,
        'maxnum'            => intval($_REQUEST['max_players']),
        'price'             => $price,
        'adress'            => trim($_REQUEST['address']),
        'adress_only_paid'  => 1,
        'author_id'         => $_SESSION["tg_user"]['chat_id'],
        'short_description' => trim($_REQUEST['short_description']),
        'description'       => trim($_REQUEST['description']),
        'reg_info'          => $master_data['reg_info'],
        'pay_url'           => $master_data['pay_url'],
        'data'              => serialize($ext_data),
        'open'              => 1,
        'blocked'           => 0,
    );

    if($game_id <= 0){
        // сохраняем новую игру
        todbi('tg_events', $data);
    }else{
        // обновляем существующую игру
        todbi('tg_events', $data, 'id='.$game_id.' LIMIT 1');
    }
    
    
    
    
    echo 'closeAddGameModal(); alert("Игра успешно создана!"); location.reload();';

    // if($game_id <= 0) exit;

    // $game_data = get_game_data($game_id);
    // echo json_encode($game_data);
}

if($action == 'game_details'){
    $game_id = intval($_REQUEST['game_id']);
    if ($game_id <= 0) exit;
    $game_data = get_game_data($game_id);
    include('master_modules/game_details.php');
}
 
if($action == 'save_game_settings'){
    $master_data = get_master_data();
    $master_data['pay_url'] = $_REQUEST['pay_url'];
    $master_data['reg_info'] = $_REQUEST['reg_info'];
    $res = set_master_data($master_data);
    echo 'flash_message("#save_settings_status", "Настройки сохранены");';
}
?>