<?php
if (!isset($game_data) AND isset($GLOBALS['game_data'])) {
    $game = $GLOBALS['game_data'];
} else {
    $game = get_game_data($game_id);
}
$game_data = unserialize($game['data']);

$members = sqli("SELECT * FROM tg_user2event WHERE event_id='".$game['id']."' AND status='player'");
$players_cids = array();
$spectators_cids = array();
$revenue = 0;
foreach($members as $member) {
    if ($member['status']=='player') $players_cids[]=$member['chat_id'];
    if ($member['status']=='spectator') $spectators_cids[]=$member['chat_id'];
    if ((int)$member['paid']>0) $revenue += (int)$member['paid'];
}

// Рассчитываем прогресс бары
$players_progress = round(count($players_cids)/$game_data['max_players']*100);
$spectators_progress = round(count($spectators_cids)/$game_data['max_spectators']*100);

// Смотрим отзывы и считаем рейтинг
if ($game_data['status']=='Завершена') {
    $reviews = sqli("SELECT * FROM tg_reviews WHERE prefix='mntz' AND subject='event_id' AND subject_id='".$game['id']."'");
    $reviews_num = count($reviews);

    $rating = sqli("SELECT avg(rating) as rating FROM tg_reviews WHERE prefix='mntz' AND subject='event_id' AND subject_id='".$game['id']."'");
    $game_rating = round($rating[0]['rating'], 1);

    $raiting_progress = round($game_rating/5*100);
    $reviews_progress = round(($reviews_num/(count($players_cids)+ count($spectators_cids))) *100);

} else {
    $reviews_num = 0;
    $game_rating = 'нет оценок';
    $raiting_progress = 0;
}
?>

<div class="modal-header">
    <h2>Детали игры</h2>
    <button class="close-btn" onclick="closeGameDetails()">
        <i data-feather="x"></i>
    </button>
</div>

<div class="modal-content">
    <div class="tabs">
        <button class="tab-btn active" onclick="switchTab(event, 'game-info')">
            <i data-feather="info"></i>
            Информация
        </button>
        <button class="tab-btn" onclick="switchTab(event, 'game-participants')">
            <i data-feather="users"></i>
            Участники
        </button>
        <button class="tab-btn" onclick="switchTab(event, 'game-reviews')">
            <i data-feather="message-square"></i>
            Отзывы
        </button>
    </div>

    <div id="game-info" class="tab-content active">
        <div class="game-header-banner">
            <div class="game-main-info">
                <div class="game-title">
                    <span class="game-title-text"><h3><?=$game['title']?></h3></span>
                </div>
                <div class="game-status">
                    <span class="status-badge <?=$GLOBALS['game_status_css'][$game_data['status']]?>"><?=$game_data['status']?></span>
                    <span class="game-date"><?= translate_week_and_month(date('j F Y\г\. \, H:i', strtotime($game['datetime'])),2) ?></span>
                </div>
                <div class="game-location">
                <i data-feather="map-pin"></i>
                    <?=$game['location']?>.  <?=$game['adress']?>
                </div>
            </div>
            <div class="game-financial">
                <div class="income-card">
                    <div class="income-value"><?=number_format((int)$revenue, 0, '', ',')?> ₽</div>
                    <div class="income-label">Общий доход</div>
                </div>
            </div>
        </div>

        <div class="stats-grid">
            <div class="stat-card">
                <i data-feather="users"></i>
                <div class="stat-numbers">
                    <div class="stat-value"><?=count($players_cids)?>/<?=$game_data['max_players']?></div>
                    <div class="stat-label">Игроков</div>
                </div>
                <div class="stat-progress" style="--progress: <?=$players_progress?>%"></div>
            </div>
            <div class="stat-card">
                <i data-feather="eye"></i>
                <div class="stat-numbers">
                    <div class="stat-value"><?=count($spectators_cids)?>/<?=$game_data['max_spectators']?></div>
                    <div class="stat-label">Зрителей</div>
                </div>
                <div class="stat-progress" style="--progress: <?=$spectators_progress?>%"></div>
            </div>
            <div class="stat-card">
                <i data-feather="star"></i>
                <div class="stat-numbers">
                    <div class="stat-value"><?=$game_rating?></div>
                    <div class="stat-label">Рейтинг</div>
                </div>
                <div class="stat-progress" style="--progress: <?=$raiting_progress?>%"></div>
            </div>
            <div class="stat-card">
                <i data-feather="message-circle"></i>
                <div class="stat-numbers">
                    <div class="stat-value"><?=$reviews_num?></div>
                    <div class="stat-label">Отзывов</div>
                </div>
                <div class="stat-progress" style="--progress: <?=$reviews_progress?>%"></div>
            </div>
        </div>

        <div class="game-description">
            <h3><i data-feather="file-text"></i> Описание игры</h3>
                <p><?=$game_data['description']?></p>
        </div>
    </div> 

    <div id="game-participants" class="tab-content">
        <div class="participants-section">
            <h3 style="margin-bottom: 1rem;"><i data-feather="users"></i> Игроки</h3>
            <div class="participants-list">
                <div class="participant-card">
                    <div class="participant-avatar">
                        <img src="https://images.unsplash.com/photo-1500648767791-00dcc994a43e" alt="Михаил Петров">
                        <div class="participant-status active"></div>
                    </div>
                    <div class="participant-info">
                        <div class="participant-name">
                            Михаил Петров
                            <a href="#" onclick="showPlayerDetails()" class="player-details-link">
                                <i data-feather="info"></i>
                            </a>
                        </div>
                        <div class="participant-contacts">
                            <div class="contact-item">
                                <a href="tel:+79001234568" class="contact-link">
                                    <i data-feather="phone"></i>
                                    +7 (900) 123-45-68
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://wa.me/79001234568" class="contact-link whatsapp">
                                    <i data-feather="message-circle"></i>
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://t.me/dima" class="contact-link telegram">
                                    <i data-feather="send"></i>
                                    @dima
                                </a>
                            </div>
                        </div>
                    </div>
                    <button class="review-action-btn">
                        <i data-feather="edit-3"></i>
                        Оставить отзыв
                    </button>
                </div>

                <div class="participant-card">
                    <div class="participant-avatar">
                        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330" alt="Анна Смирнова">
                        <div class="participant-status reviewed"></div>
                    </div>
                    <div class="participant-info">
                        <div class="participant-name">Анна Смирнова</div>
                        <div class="participant-contacts">
                            <div class="contact-item">
                                <a href="tel:+79001234568" class="contact-link">
                                    <i data-feather="phone"></i>
                                    +7 (900) 123-45-68
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://wa.me/79001234568" class="contact-link whatsapp">
                                    <i data-feather="message-circle"></i>
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://t.me/anna" class="contact-link telegram">
                                    <i data-feather="send"></i>
                                    @anna
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="review-status">
                        <i data-feather="check-circle"></i>
                        Отзыв оставлен<br />
                        <a href="#" class="review-action-btn2">
                            Редактировать отзыв
                        </a>
                    </div>
                </div>
            </div>

            <h3 style="margin-top: 2rem; margin-bottom: 1rem;"><i data-feather="eye"></i> Зрители</h3>
            <div class="participants-list">
                <div class="participant-card">
                    <div class="participant-avatar">
                        <img src="https://images.unsplash.com/photo-1500648767791-00dcc994a43e" alt="Михаил Петров">
                        <div class="participant-status active"></div>
                    </div>
                    <div class="participant-info">
                        <div class="participant-name">Михаил Петров</div>
                        <div class="participant-contacts">
                            <div class="contact-item">
                                <a href="tel:+79001234568" class="contact-link">
                                    <i data-feather="phone"></i>
                                    +7 (900) 123-45-68
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://wa.me/79001234568" class="contact-link whatsapp">
                                    <i data-feather="message-circle"></i>
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://t.me/dima" class="contact-link telegram">
                                    <i data-feather="send"></i>
                                    @dima
                                </a>
                            </div>
                        </div>
                    </div>
                    <button class="review-action-btn">
                        <i data-feather="edit-3"></i>
                        Оставить отзыв
                    </button>
                </div>

                <div class="participant-card">
                    <div class="participant-avatar">
                        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330" alt="Анна Смирнова">
                        <div class="participant-status reviewed"></div>
                    </div>
                    <div class="participant-info">
                        <div class="participant-name">Анна Смирнова</div>
                        <div class="participant-contacts">
                            <div class="contact-item">
                                <a href="tel:+79001234568" class="contact-link">
                                    <i data-feather="phone"></i>
                                    +7 (900) 123-45-68
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://wa.me/79001234568" class="contact-link whatsapp">
                                    <i data-feather="message-circle"></i>
                                </a>
                            </div>
                            <div class="contact-item">
                                <a href="https://t.me/anna" class="contact-link telegram">
                                    <i data-feather="send"></i>
                                    @anna
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="review-status">
                        <i data-feather="check-circle"></i>
                        Отзыв оставлен
                    </div>
                </div>
            </div>
            
        </div>
    </div>

    <div id="game-reviews" class="tab-content">
        <div class="reviews-section">
            <div class="reviews-stats">
                <div class="average-rating">
                    <div class="rating-number">4.8</div>
                    <div class="rating-stars">★★★★★</div>
                    <div class="rating-count">12 отзывов</div>
                </div>
                <div class="rating-bars">
                    <div class="rating-bar">
                        <span class="bar-label">5</span>
                        <div class="bar-bg"><div class="bar-fill" style="width: 80%"></div></div>
                        <span class="bar-count">10</span>
                    </div>
                    <div class="rating-bar">
                        <span class="bar-label">4</span>
                        <div class="bar-bg"><div class="bar-fill" style="width: 15%"></div></div>
                        <span class="bar-count">2</span>
                    </div>
                    <div class="rating-bar">
                        <span class="bar-label">3</span>
                        <div class="bar-bg"><div class="bar-fill" style="width: 0%"></div></div>
                        <span class="bar-count">0</span>
                    </div>
                    <div class="rating-bar">
                        <span class="bar-label">2</span>
                        <div class="bar-bg"><div class="bar-fill" style="width: 0%"></div></div>
                        <span class="bar-count">0</span>
                    </div>
                    <div class="rating-bar">
                        <span class="bar-label">1</span>
                        <div class="bar-bg"><div class="bar-fill" style="width: 0%"></div></div>
                        <span class="bar-count">0</span>
                    </div>
                </div>
            </div>

            <div class="reviews-list">
                <div class="review-card">
                    <div class="review-author">
                        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330" alt="Анна Смирнова">
                        <div class="author-info">
                            <div class="author-name">Анна Смирнова</div>
                            <div class="review-date">24 марта 2024</div>
                        </div>
                        <div class="review-rating">★★★★★</div>
                    </div>
                    <div class="review-content">
                        <p>Отличная организация! Все прошло на высшем уровне. Особенно понравилась работа ведущего и атмосфера игры. Обязательно приду еще раз!</p>
                    </div>
                    <div class="review-meta">
                        <button class="review-like">
                            <i data-feather="thumbs-up"></i>
                            <span>12</span>
                        </button>
                    </div>
                </div>

                <div class="review-card">
                    <div class="review-author">
                        <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e" alt="Дмитрий Иванов">
                        <div class="author-info">
                            <div class="author-name">Дмитрий Иванов</div>
                            <div class="review-date">24 марта 2024</div>
                        </div>
                        <div class="review-rating">★★★★☆</div>
                    </div>
                    <div class="review-content">
                        <p>Интересный формат и хорошая организация. Было бы здорово добавить больше интерактивных элементов в игру.</p>
                    </div>
                    <div class="review-meta">
                        <button class="review-like">
                            <i data-feather="thumbs-up"></i>
                            <span>8</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>