<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Регистрация мастера игры | Монетизатор</title>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">
    <script src="https://unpkg.com/feather-icons"></script>
</head>
<body>
    <div class="registration-container">
        <form class="registration-form" action="process_registration.php" method="POST">
            <h1>Регистрация<br /><span style="font-size: 1.2rem; ">мастера игры Монетизатор</span></h1>
            
            <div class="form-group">
                <label for="fullName">ФИО</label>
                <input type="text" id="fullName" name="fullName" required>
            </div>

            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" id="email" name="email" required>
            </div>

            <div class="form-row">
                <div class="form-group">
                    <label for="phone">Телефон</label>
                    <input type="tel" id="phone" name="phone" pattern="\+7\s?\(\d{3}\)\s?\d{3}-\d{2}-\d{2}" placeholder="+7 (999) 999-99-99" required>
                    <small class="input-hint">Формат: +7 (999) 999-99-99</small>
                </div>
                <div class="form-group">
                    <label for="telegram">Telegram</label>
                    <input type="text" id="telegram" name="telegram" placeholder="@username">
                </div>
            </div>

            <div class="form-group">
                <label for="city">Город</label>
                <select id="city" name="city" required>
                    <option value="">Выберите город</option>
                    <option value="Москва">Москва</option>
                    <option value="Санкт-Петербург">Санкт-Петербург</option>
                </select>
            </div>

            <div class="form-group checkbox-group">
                <input type="checkbox" id="terms" name="terms" required>
                <label for="terms">Я согласен с условиями использования</label>
            </div>

            <button type="submit" class="btn btn-primary btn-large">Продолжить</button>
        </form>
    </div>

    <script>
        // Инициализация иконок
        feather.replace();

        // Форматирование номера телефона
        const phoneInput = document.getElementById('phone');
        phoneInput.addEventListener('input', function(e) {
            let value = e.target.value.replace(/\D/g, '');
            if (value.length > 0) {
                if (value[0] === '7' || value[0] === '8') {
                    value = value.substring(1);
                }
                if (value.length > 0) {
                    value = '+7 (' + value.substring(0, 3) 
                        + (value.length > 3 ? ') ' + value.substring(3, 6) : '')
                        + (value.length > 6 ? '-' + value.substring(6, 8) : '')
                        + (value.length > 8 ? '-' + value.substring(8, 10) : '');
                }
            }
            e.target.value = value;
        });
    </script>
</body>
</html>