<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Монетизатор - Панель управления</title>
    <meta name="description" content="Панель управления для мониторинга и управления монетизацией игр">
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">
    <script src="https://unpkg.com/feather-icons"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <button class="menu-toggle" id="menuToggle">
        <i data-feather="menu"></i>
    </button>

    <aside class="sidebar" id="sidebar">
        <h1>МОНЕТИЗАТОР</h1>
        <nav>
            <a href="#" class="nav-item active">
                <i data-feather="bar-chart-2"></i>
                Дашборд
            </a>
            <a href="#" class="nav-item">
                <i data-feather="users"></i>
                Пользователи
            </a>
            <a href="#" class="nav-item">
                <i data-feather="package"></i>
                Игры
            </a>
            <a href="#" class="nav-item">
                <i data-feather="user"></i>
                Профиль
            </a>
            <a href="#" class="nav-item">
                <i data-feather="message-square"></i>
                Отзывы
            </a>
            <a href="#" class="nav-item">
                <i data-feather="settings"></i>
                Настройки
            </a>
        </nav>
    </aside>

    <main class="main-content">
        <header class="header">
            <div class="header-content">
                <div class="user-info">
                    <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" alt="Аватар пользователя">
                    <div>
                        <div class="user-name">Александр Иванов</div>
                        <div class="user-role">Мастер игры</div>
                    </div>
                </div>
                <div class="header-actions">
                    <button class="add-game-btn">
                        <i data-feather="plus-circle"></i>
                        Добавить игру
                    </button>
                    <button class="theme-toggle" id="themeToggle">
                        <i data-feather="sun"></i>
                    </button>
                </div>
            </div>
        </header>

        <div style="padding: 2rem;">
            <div style="display: grid; grid-template-columns: repeat(auto-fit, minmax(240px, 1fr)); gap: 1.5rem; margin-bottom: 2rem;">
                <div class="stats-card">
                    <h4 class="stats-title">ВСЕГО ПОЛЬЗОВАТЕЛЕЙ</h4>
                    <div class="stats-value">1,234</div>
                    <div class="stats-change">+180 за последний месяц</div>
                </div>

                <div class="stats-card">
                    <h4 class="stats-title">АКТИВНЫЕ ИГРЫ</h4>
                    <div class="stats-value">8</div>
                    <div class="stats-change">45 игр в завершено</div>
                </div>

                <div class="stats-card">
                    <h4 class="stats-title">КОНВЕРСИЯ</h4>
                    <div class="stats-value">12.5%</div>
                    <div class="stats-change stats-change-positive">+2.1% к прошлой неделе</div>
                </div>

                <div class="stats-card">
                    <h4 class="stats-title">ВЫРУЧКА</h4>
                    <div class="stats-value">₽456,789</div>
                    <div class="stats-change stats-change-positive">+15% к прошлому месяцу</div>
                </div>
            </div>

            <div style="background-color: var(--bg-secondary); border-radius: 8px; border: 1px solid var(--border-color);">
                <div style="padding: 1.5rem; border-bottom: 1px solid var(--border-color);">
                    <h3 style="font-size: 1.125rem; font-weight: 600; color: var(--accent);">Последние игры</h3>
                </div>
                <div style="overflow-x: auto;">
                    <table style="width: 100%; border-collapse: collapse;">
                        <thead>
                            <tr style="background-color: var(--bg-primary);">
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Город</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Дата игры</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Игроки</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Зрители</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Доход</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Статус</th>
                                <th style="text-align: center; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Действие</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">Москва</td>
                                <td style="padding: 1rem;">24.03.2024 19:30</td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">8</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">8</span>
                                </td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">234</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">300</span>
                                </td>
                                <td style="padding: 1rem;">₽45,600</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; flex-direction: column; gap: 0.5rem; align-items: flex-start;">
                                        <span class="status-badge status-completed">Завершена</span>
                                        <button onclick="showGameReviews(1)" class="review-button">
                                            отзывы
                                            <span class="review-count">12</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">Санкт-Петербург</td>
                                <td style="padding: 1rem;">23.03.2024 15:00</td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">7</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">8</span>
                                </td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">156</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">200</span>
                                </td>
                                <td style="padding: 1rem;">₽32,800</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; flex-direction: column; gap: 0.5rem; align-items: flex-start;">
                                        <span class="status-badge status-completed">Завершена</span>
                                        <button onclick="showGameReviews(2)" class="review-button">
                                            отзывы
                                            <span class="review-count">8</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">Москва</td>
                                <td style="padding: 1rem;">25.03.2024 20:00</td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">7</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">8</span>
                                </td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">89</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">150</span>
                                </td>
                                <td style="padding: 1rem;">₽0</td>
                                <td style="padding: 1rem;">
                                    <span class="status-badge status-planned">Запланирована</span>
                                </td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">Санкт-Петербург</td>
                                <td style="padding: 1rem;">26.03.2024 18:30</td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">4</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">8</span>
                                </td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">45</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">120</span>
                                </td>
                                <td style="padding: 1rem;">₽0</td>
                                <td style="padding: 1rem;">
                                    <span class="status-badge status-cancelled">Отменена</span>
                                </td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">Москва</td>
                                <td style="padding: 1rem;">27.03.2024 19:00</td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">8</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">8</span>
                                </td>
                                <td style="padding: 1rem;">
                                    <span style="color: var(--accent);">123</span>
                                    <span style="color: var(--text-secondary);">/</span>
                                    <span style="color: var(--text-secondary);">150</span>
                                </td>
                                <td style="padding: 1rem;">₽0</td>
                                <td style="padding: 1rem;">
                                    <span class="status-badge status-paused">Пауза</span>
                                </td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <!-- Блок с последними отзывами -->
            <div style="overflow-x: auto; white-space: nowrap; padding: 1rem 0; margin: 2rem 0; -webkit-overflow-scrolling: touch;">
                <div style="display: inline-flex; gap: 1.5rem;">
                <div class="stats-card">
                    <div style="display: flex; align-items: center; gap: 1rem; margin-bottom: 1rem;">
                        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                             alt="Анна Смирнова"
                             style="width: 48px; height: 48px; border-radius: 50%; object-fit: cover;">
                        <div>
                            <div style="font-weight: 500;">Анна Смирнова</div>
                            <div style="color: var(--text-secondary); font-size: 0.875rem;">Игра в Москве, 24.03.2024</div>
                        </div>
                    </div>
                    <p style="color: var(--text-secondary); line-height: 1.5; margin-bottom: 1rem;">
                        Отличная организация! Все прошло на высшем уровне. Особенно понравилась работа ведущего и...
                    </p>
                    <div style="color: var(--accent);">★★★★★</div>
                </div>

                <div class="stats-card">
                    <div style="display: flex; align-items: center; gap: 1rem; margin-bottom: 1rem;">
                        <img src="https://images.unsplash.com/photo-1500648767791-00dcc994a43e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                             alt="Михаил Петров"
                             style="width: 48px; height: 48px; border-radius: 50%; object-fit: cover;">
                        <div>
                            <div style="font-weight: 500;">Михаил Петров</div>
                            <div style="color: var(--text-secondary); font-size: 0.875rem;">Игра в Санкт-Петербурге, 23.03.2024</div>
                        </div>
                    </div>
                    <p style="color: var(--text-secondary); line-height: 1.5; margin-bottom: 1rem;">
                        Интересные загадки, отличная атмосфера. Команда организаторов сделала всё, чтобы мы...
                    </p>
                    <div style="color: var(--accent);">★★★★☆</div>
                </div>

                <div class="stats-card">
                    <div style="display: flex; align-items: center; gap: 1rem; margin-bottom: 1rem;">
                        <img src="https://images.unsplash.com/photo-1438761681033-6461ffad8d80?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                             alt="Елена Козлова"
                             style="width: 48px; height: 48px; border-radius: 50%; object-fit: cover;">
                        <div>
                            <div style="font-weight: 500;">Елена Козлова</div>
                            <div style="color: var(--text-secondary); font-size: 0.875rem;">Игра в Москве, 22.03.2024</div>
                        </div>
                    </div>
                    <p style="color: var(--text-secondary); line-height: 1.5; margin-bottom: 1rem;">
                        Прекрасно провели время! Очень понравился формат игры и как всё организовано. Будем...
                    </p>
                    <div style="color: var(--accent);">★★★★★</div>
                </div>

                <div class="stats-card">
                    <div style="display: flex; align-items: center; gap: 1rem; margin-bottom: 1rem;">
                        <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                             alt="Дмитрий Иванов"
                             style="width: 48px; height: 48px; border-radius: 50%; object-fit: cover;">
                        <div>
                            <div style="font-weight: 500;">Дмитрий Иванов</div>
                            <div style="color: var(--text-secondary); font-size: 0.875rem;">Игра в Санкт-Петербурге, 21.03.2024</div>
                        </div>
                    </div>
                    <p style="color: var(--text-secondary); line-height: 1.5; margin-bottom: 1rem;">
                        Второй раз участвую в игре и снова в восторге! Каждый раз новые интересные задания...
                    </p>
                    <div style="color: var(--accent);">★★★★★</div>
                </div>
            </div>
            </div>

            <!-- Таблица игроков -->
            <div style="background-color: var(--bg-secondary); border-radius: 8px; border: 1px solid var(--border-color); margin-top: 2rem;">
                <div style="padding: 1.5rem; border-bottom: 1px solid var(--border-color);">
                    <h3 style="font-size: 1.125rem; font-weight: 600; color: var(--accent);">Игроки</h3>
                </div>
                <div style="overflow-x: auto;">
                    <table style="width: 100%; border-collapse: collapse;">
                        <thead>
                            <tr style="background-color: var(--bg-primary);">
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Игрок</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Рейтинг</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Игры</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Телефон</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Телеграм</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Дата регистрации</th>
                                <th style="text-align: center; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Действие</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1500648767791-00dcc994a43e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Михаил Петров" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500; display: flex; align-items: center; gap: 0.5rem;">
                                                Михаил Петров
                                                <span class="new-badge">NEW</span>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★☆</div>
                                        <button onclick="showReviews(1)" class="review-button">
                                            отзывы
                                            <span class="review-count">12</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">8</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234568" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-67
                                        </a>
                                        <a href="https://wa.me/79001234567" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/username" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @username
                                    </a>
                                </td>
                                <td style="padding: 1rem;">15.03.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1438761681033-6461ffad8d80?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Анна Смирнова" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Анна Смирнова</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★★</div>
                                        <button onclick="showReviews(2)" class="review-button">
                                            отзывы
                                            <span class="review-count">24</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">15</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234568" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-68
                                        </a>
                                        <a href="https://wa.me/79001234568" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/anna" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @anna
                                    </a>
                                </td>
                                <td style="padding: 1rem;">10.03.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Дмитрий Иванов" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Дмитрий Иванов</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★★</div>
                                        <button onclick="showReviews(3)" class="review-button">
                                            отзывы
                                            <span class="review-count">18</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">12</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234569" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-69
                                        </a>
                                        <a href="https://wa.me/79001234569" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/dmitry" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @dmitry
                                    </a>
                                </td>
                                <td style="padding: 1rem;">05.03.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1534528741775-53994a69daeb?ixlib=rb-1.2.1&auto=format&fit=facearea&facepa d=2&w=256&h=256&q=80" 
                                             alt="Екатерина Новикова" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Екатерина Новикова</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★☆</div>
                                        <button onclick="showReviews(4)" class="review-button">
                                            отзывы
                                            <span class="review-count">9</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">7</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234570" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-70
                                        </a>
                                        <a href="https://wa.me/79001234570" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/kate" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @kate
                                    </a>
                                </td>
                                <td style="padding: 1rem;">01.03.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Алексей Морозов" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Алексей Морозов</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★★</div>
                                        <button onclick="showReviews(5)" class="review-button">
                                            отзывы
                                            <span class="review-count">15</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">10</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234571" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-71
                                        </a>
                                        <a href="https://wa.me/79001234571" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/alex" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @alex
                                    </a>
                                </td>
                                <td style="padding: 1rem;">28.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Мария Соколова" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Мария Соколова</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★☆</div>
                                        <button onclick="showReviews(6)" class="review-button">
                                            отзывы
                                            <span class="review-count">7</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">5</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234572" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-72
                                        </a>
                                        <a href="https://wa.me/79001234572" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/maria" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @maria
                                    </a>
                                </td>
                                <td style="padding: 1rem;">25.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1500648767791-00dcc994a43e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Павел Козлов" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Павел Козлов</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★★</div>
                                        <button onclick="showReviews(7)" class="review-button">
                                            отзывы
                                            <span class="review-count">20</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">14</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234573" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-73
                                        </a>
                                        <a href="https://wa.me/79001234573" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/pavel" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @pavel
                                    </a>
                                </td>
                                <td style="padding: 1rem;">20.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1438761681033-6461ffad8d80?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Ольга Федорова" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Ольга Федорова</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★☆</div>
                                        <button onclick="showReviews(8)" class="review-button">
                                            отзывы
                                            <span class="review-count">11</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">9</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234574" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-74
                                        </a>
                                        <a href="https://wa.me/79001234574" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/olga" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @olga
                                    </a>
                                </td>
                                <td style="padding: 1rem;">15.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Игорь Волков" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Игорь Волков</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★★</div>
                                        <button onclick="showReviews(9)" class="review-button">
                                            отзывы
                                            <span class="review-count">16</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">11</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234575" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-75
                                        </a>
                                        <a href="https://wa.me/79001234575" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/igor" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @igor
                                    </a>
                                </td>
                                <td style="padding: 1rem;">10.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>
                                </td>
                            </tr>
                            <tr style="border-top: 1px solid var(--border-color);">
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <img src="https://images.unsplash.com/photo-1534528741775-53994a69daeb?ixlib=rb-1.2.1&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" 
                                             alt="Наталья Попова" 
                                             style="width: 40px; height: 40px; border-radius: 50%; object-fit: cover;">
                                        <div>
                                            <div style="font-weight: 500;">Наталья Попова</div>
                                        </div>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <div class="rating-container">
                                        <div class="rating-stars">★★★★☆</div>
                                        <button onclick="showReviews(10)" class="review-button">
                                            отзывы
                                            <span class="review-count">8</span>
                                        </button>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">6</td>
                                <td style="padding: 1rem;">
                                    <div style="display: flex; align-items: center; gap: 0.75rem;">
                                        <a href="tel:+79001234576" style="color: var(--text-primary); text-decoration: none;">
                                            +7 (900) 123-45-76
                                        </a>
                                        <a href="https://wa.me/79001234576" target="_blank" style="color: #25D366;">
                                            <i data-feather="message-circle"></i>
                                        </a>
                                    </div>
                                </td>
                                <td style="padding: 1rem;">
                                    <a href="https://t.me/natalia" target="_blank" style="color: #0088cc; text-decoration: none; display: flex; align-items: center; gap: 0.5rem;">
                                        <i data-feather="send"></i>
                                        @natalia
                                    </a>
                                </td>
                                <td style="padding: 1rem;">05.02.2024</td>
                                <td style="padding: 1rem; text-align: center;">
                                    <button class="detail-btn">ПОДРОБНО</button>  
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </main>

    <!-- Модальное окно -->
    <div class="modal" id="addGameModal">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Добавление новой игры</h2>
                <button class="modal-close" onclick="closeModal()">
                    <i data-feather="x"></i>
                </button>
            </div>
            <form id="addGameForm" class="modal-form">
                <div class="form-row">
                    <div class="form-group">
                        <label for="gameCity">Город</label>
                        <select id="gameCity" required>
                            <option value="">Выберите город</option>
                            <option value="Москва">Москва</option>
                            <option value="Санкт-Петербург">Санкт-Петербург</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="gameDate">Дата и время</label>
                        <input type="datetime-local" id="gameDate" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label for="maxPlayers">Максимум игроков</label>
                        <input type="number" id="maxPlayers" min="1" required>
                    </div>
                    <div class="form-group">
                        <label for="maxSpectators">Максимум зрителей</label>
                        <input type="number" id="maxSpectators" min="0" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label for="playerPrice">Стоимость для игрока (₽)</label>
                        <input type="number" id="playerPrice" min="0" step="100" required>
                    </div>
                    <div class="form-group">
                        <label for="spectatorPrice">Стоимость для зрителя (₽)</label>
                        <input type="number" id="spectatorPrice" min="0" step="100" required>
                    </div>
                </div>
                <div class="form-group">
                    <label for="gameDescription">Описание игры</label>
                    <textarea id="gameDescription" rows="4" required></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" onclick="closeModal()">Отмена</button>
                    <button type="submit" class="btn btn-primary">Создать игру</button>
                </div>
            </form>
        </div>
    </div>

  <!-- Модальное окно для деталей игры -->
  <div id="gameDetailsModal" class="modal">
        <div class="modal-content">
            <?
            include('game_details.php');
            ?>
        </div>
    </div>

    <!-- Модальное окно для деталей игрока -->
    <div id="playerDetailsModal" class="modal">
        <div class="modal-content">
            <?
            include('player_details.php');
            ?>
        </div>
    </div>



    <script src="script.js"></script>
</body>
</html>