<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Расписание игр</title>
    <style>
        body {
            font-family: 'Quicksand', sans-serif;
            background-color: #f9f9f9;
            color: #333;
        }

        .schedule-container {
            max-width: 1200px;
            margin: 20px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            text-align: center;
            color: #CD5C5C; /* Цвет заголовка */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #f1f1f1;
        }

        .master-name {
            color: #007BFF; /* Цвет имени мастера */
            cursor: pointer;
            transition: color 0.3s ease, transform 0.3s ease; /* Анимация при наведении */
        }

        .master-name:hover {
            color: #0056b3; /* Цвет при наведении */
            transform: scale(1.05); /* Увеличение при наведении */
        }

        .rating {
            display: inline-block;
        }

        .star {
            color: gold; /* Цвет звезд */
        }

        .register-button {
            display: inline-block;
            padding: 10px 20px;
            margin-top: 10px;
            background-color: #28a745; /* Зеленый цвет кнопки */
            color: white;
            text-align: center;
            border-radius: 5px;
            text-decoration: none;
            transition: background-color 0.3s ease; /* Анимация кнопки */
        }

        .register-button:hover {
            background-color: #218838; /* Темнее при наведении */
        }
    </style>
</head>
<body>

<div class="schedule-container">
    <h2>Расписание предстоящих игр</h2>
    <table>
        <thead>
            <tr>
                <th>Город</th>
                <th>Дата и время</th>
                <th>Имя мастера игры</th>
                <th>Рейтинг</th>
                <th>Стоимость игры</th>
                <th>Записаться</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Москва</td>
                <td>02.02.2025, 18:00</td>
                <td class="master-name" onclick="alert('Подробности о мастере')">Иван Иванов</td>
                <td class="rating">4.5<span class="star"> ★★★★☆</span></td>
                <td>1500 руб.</td>
                <td><a href="#" class="register-button">Записаться</a></td>
            </tr>
            <!-- Повторите строки для других игр -->
        </tbody>
    </table>
</div>

</body>
</html>
