
    <style>
        .schedule-container {
            width: 80%;
            margin: 20px auto;
            background: linear-gradient(135deg, #ffffff 0%, #e6e6e6 100%);
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }
        .filter-container {
            margin-bottom: 20px;
            text-align: center;
        }
        .filter-container select {
            padding: 10px;
            font-size: 16px;
            border: 1px solid #ddd;
            border-radius: 5px;
        }
        .schedule-table {
            width: 100%;
            border-collapse: collapse;
        }
        .schedule-table th, .schedule-table td {
            padding: 15px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        .schedule-table th {
            background: linear-gradient(135deg, #333 0%, #1a1a1a 100%);
            color: #fff;
            font-weight: bold;
        }
        .schedule-table td a {
            color: #b5904d;
            text-decoration: none;
            transition: color 0.3s;
            position: relative;
        }
        .schedule-table td a:hover {
            color: #ffcc00;
        }
        .schedule-table td a.master:hover::after {
            content: ' 🔍';
            color: #ffcc00;
            position: absolute;
            margin-left: 5px;
        }
        .schedule-table .rating {
            color: #ff9800;
        }
        .schedule-table .price {
            color: #28a745;
            font-weight: bold;
        }
        .schedule-table .button {
            padding: 10px 15px;
            display: inline-block;
            border-radius: 5px;
            color: black !important;
            text-transform: uppercase;
            -webkit-font-smoothing: antialiased;
            --zoom: 1;
            visibility: visible;
            text-align: center;
            box-sizing: content-box;
            margin: 0;
            border: 0;
            vertical-align: middle;
            text-decoration: none;
            outline: none;
            font-family: 'Montserrat', Arial, sans-serif;
            font-weight: 600;
            background-image: linear-gradient(180deg, rgba(255, 245, 168, 1) 0%, rgba(199, 154, 72, 1) 100%);
            border-color: transparent;
            border-style: solid;
            transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out;
        }
        .schedule-table .button:hover {
            background: linear-gradient(135deg, #ffcc00 0%, #b5904d 100%);
        }
        .price-player {
        	text-align: right;
			color:orange;
		}

        .price-player span {
        	text-align: right;
        	display: inline-block;
			width: 65px;
		}
        .price-visitor span {
        	text-align: right;
        	display: inline-block;
			width: 65px;
		}
        .price-visitor {
        	text-align: right;
		}

    </style>

<?
$games = array(
	array('id'=>'1',	'city'=>'Москва',			'datetime'=>'ВС, 10 февраля, 18:00', 'master_id'=>'1', 'master'=>'Иван Иванов',			'rating'=>'4.8',	'price'=>'15.000|4.000'),
	array('id'=>'2',	'city'=>'Москва',			'datetime'=>'ВТ, 12 февраля, 18:00', 'master_id'=>'1', 'master'=>'Иван Иванов',			'rating'=>'4.8',	'price'=>'12.000|3.500'),
	array('id'=>'3',	'city'=>'Санкт-Петербург',	'datetime'=>'СБ, 17 февраля, 12:00', 'master_id'=>'3', 'master'=>'Дмитрий Дмитриев',	'rating'=>'3.4',	'price'=>'8.000|2.000'),
	array('id'=>'4',	'city'=>'Санкт-Петербург',	'datetime'=>'СБ, 17 февраля, 17:00', 'master_id'=>'3', 'master'=>'Дмитрий Дмитриев',	'rating'=>'3.4',	'price'=>'8.000|2.000'),
	array('id'=>'5',	'city'=>'Москва',			'datetime'=>'ПН, 19 февраля, 19:00', 'master_id'=>'4', 'master'=>'Сергей Сергеев',		'rating'=>'4.7',	'price'=>'5.000|1.200'),
	array('id'=>'6',	'city'=>'Минск',			'datetime'=>'ВТ, 20 февраля, 18:00', 'master_id'=>'2', 'master'=>'Ян Бурлак',			'rating'=>'5.0',	'price'=>'25.000|5.000'),
	array('id'=>'7',	'city'=>'Москва',			'datetime'=>'ЧТ, 22 февраля, 15:00', 'master_id'=>'1', 'master'=>'Иван Иванов',			'rating'=>'4.8',	'price'=>'12.000|3.500'),
	array('id'=>'8',	'city'=>'Санкт-Петербург',	'datetime'=>'ПТ, 23 февраля, 18:00', 'master_id'=>'3', 'master'=>'Дмитрий Дмитриев',	'rating'=>'3.4',	'price'=>'8.000|2.000'),
);
?>

    <div class="schedule-container">
        <h2 style="text-align: center; color: #333; padding: 10px 0 20px 0;">Расписание предстоящих игр</h2>
        <div class="filter-container">
            <label for="city-filter">Выберите город: </label>
            <select id="city-filter">
				<option value="all">Все города</option>
				<option value="OnLine">OnLine</option>
            	<?
            	$cities = array();
            	foreach ($games as $game) 
            		if (!in_array($game['city'], $cities) AND $game['city']!='OnLine') $cities[]=$game['city'];
            	sort($cities);
            	foreach ($cities as $city) {
					?>
	                <option value="<?=$city?>"><?=$city?></option>
					<?
				}
                ?>
                <!-- Добавьте другие города по мере необходимости -->
            </select>
        </div>
        <table class="schedule-table">
            <thead>
                <tr>
                    <th>Город или OnLine</th>
                    <th>Дата и время</th>
                    <th>Мастер игры</th>
                    <th>Рейтинг Мастера</th>
                    <th>Стоимость</th>
                    <th>Действие</th>
                </tr>
            </thead>
            <tbody>
            	<?
            	foreach ($games as $game) {
            		$stars = "★☆☆☆☆";
            		if ((float)$game['rating']>=2) $stars = "★★☆☆☆";
            		if ((float)$game['rating']>=3) $stars = "★★★☆☆";
            		if ((float)$game['rating']>=4) $stars = "★★★★☆";
            		if ((float)$game['rating']==5) $stars = "★★★★★";
            		list($price_player,$price_visitor) = explode('|',$game['price']);
            		$price = "<div class='price-player'><span>игрок:</span> ".$price_player." руб.</div><div class='price-visitor'><span>зритель:</span> ".$price_visitor." руб.</div>";
					?>
		                <tr attr-city="<?=$game['city']?>">
		                    <td><?=$game['city']?></td>
		                    <td><?=$game['datetime']?></td>
		                    <td><a href="#" class="master" title="Подробнее о мастере и отзывы"><?=$game['master']?></a></td>
		                    <td class="rating"><?=$stars?> (<?=$game['rating']?>)</td>
		                    <td class="price"><?=$price?></td>
		                    <td><a href="#" class="button">Записаться</a></td>
		                </tr>
					<?
				}
/*            	
                <tr attr-city="Санкт-Петербург">
                    <td>Санкт-Петербург</td>
                    <td>12 октября, 19:00</td>
                    <td><a href="#" class="master" title="Подробнее о мастере и отзывы">Анна Смирнова</a></td>
                    <td class="rating">★★★★★ (5.0)</td>
                    <td class="price">15,000 руб.</td>
                    <td><a href="#" class="button">Записаться</a></td>
                </tr>
*/
            	?>
            </tbody>
        </table>
    </div>

    <script>
        document.getElementById('city-filter').addEventListener('change', function() {
            const selectedCity = this.value;
            const rows = document.querySelectorAll('.schedule-table tbody tr');

            rows.forEach(row => {
                const city = row.getAttribute('attr-city');
                if (selectedCity === 'all' || city === selectedCity) {
                    row.style.display = '';
                } else {
                    row.style.display = 'none';
                }
            });
        });
    </script>

