$(document).ready(function() {
    // Обработка AJAX форм
    $(document).on('submit', '.ajaxJSON, .ajaxJS, .ajaxHTML', function(e) {
        e.preventDefault();
        
        let $form = $(this);
        let formData = new FormData(this);
        
        $.ajax({
            url: 'ajax.php',
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                if($form.hasClass('ajaxJSON')) {
                    try {
                        let data = JSON.parse(response);
                        let callback = $form.data('func');
                        if(typeof window[callback] === 'function') {
                            window[callback](data);
                        } else {
                            console.error('Функция обработчик не найдена:', callback);
                        }
                    } catch (e) {
                        console.error('Ошибка парсинга JSON:', e);
                    }
                }
                else if($form.hasClass('ajaxJS')) {
                    try {
                        eval(response);
                    } catch (e) {
                        console.error('Ошибка выполнения JavaScript:', e);
                    }
                }
                else if($form.hasClass('ajaxHTML')) {
                    let target = $form.data('target');
                    if(target) {
                        $(target).html(response);
                    } else {
                        console.error('Не указан целевой элемент в data-target');
                    }
                }
            },
            error: function(xhr, status, error) {
                console.error('Ошибка AJAX запроса:', error);
            }
        });
    });




    
});





// Инициализация иконок
feather.replace();

// Мобильное меню
$('#menuToggle').on('click', function() {
    $('#sidebar').toggleClass('active');
});

// Закрытие меню при клике вне его на мобильных
$(document).on('click', function(event) {
    if (window.innerWidth <= 768) {
        if (!$(event.target).closest('#sidebar, #menuToggle').length) {
            $('#sidebar').removeClass('active');
        }
    }
});

// Переключение темы
$('#themeToggle').on('click', function() {
    const $body = $('body');
    const $icon = $(this).find('i');

    if ($body.attr('data-theme') === 'light') {
        $body.removeAttr('data-theme');
        $icon.attr('data-feather', 'sun');
    } else {
        $body.attr('data-theme', 'light');
        $icon.attr('data-feather', 'moon');
    }

    feather.replace();
});

// Функция переключения вкладок
function switchTab(event, tabId) {
    const tabButtons = document.querySelectorAll('.tab-btn');
    const tabContents = document.querySelectorAll('.tab-content');
    
    tabButtons.forEach(btn => btn.classList.remove('active'));
    tabContents.forEach(content => content.classList.remove('active'));
    
    event.currentTarget.classList.add('active');
    document.getElementById(tabId).classList.add('active');
    
    // Обновляем иконки
    feather.replace();
}

// Привязка кнопок открытия модальных окон
$('.add-game-btn').on('click', function() {
    openAddGameModal();
});

// Функция открытия модального окна добавления игры
function openAddGameModal() {
    const $modal = $('#addGameModal');
    $modal.addClass('active');

    // Устанавливаем минимальную дату в поле выбора даты
    const minDateTime = new Date().toISOString().slice(0, 16);
    $('#gameDate').attr('min', minDateTime);

    // Устанавливаем фокус на первое поле после анимации
    setTimeout(() => {
        $('#gameCity').focus();
    }, 300);

    feather.replace();
}

// Закрытие модального окна добавления игры
function closeAddGameModal() {
    const $modal = $('#addGameModal');
    $modal.removeClass('active');
    setTimeout(() => {
        $('#addGameForm')[0].reset();
    }, 300);
}

// Обработчики для кнопок ПОДРОБНО в разных таблицах
$(document).on('click', '.detail-btn', function(e) {
    const isPlayerTable = $(this).closest('table').find('th:first').text().includes('Игрок');
    const row = $(this);
    
    if (isPlayerTable) {
        const playerId = row.data('player-id') || -1;
        showPlayerDetails(playerId);
    } else {
        const gameId = row.data('game-id') || -1;
        showGameDetails(gameId);
    }
});

// Обработка отправки формы
$('#addGameForm').on('submit', function(e) {
    e.preventDefault();

    // Собираем данные формы
    const gameData = {
        city: $('#gameCity').val(),
        date: $('#gameDate').val(),
        maxPlayers: $('#maxPlayers').val(),
        maxSpectators: $('#maxSpectators').val(),
        playerPrice: $('#playerPrice').val(),
        spectatorPrice: $('#spectatorPrice').val(),
        description: $('#gameDescription').val()
    };
    console.log("Новая игра:", gameData);

});

// Обработка изменения размера окна
$(window).on('resize', function() {
    if (window.innerWidth > 768) {
        $('#sidebar').removeClass('active');
    }
});

// Функция для отображения деталей игрока
function showPlayerDetails(playerId) {
    const $modal = $('#playerDetailsModal');
    const $row = $(`tr[data-player-id="${playerId}"]`);
    
    // Активируем вкладку Информация
    $('#playerDetailsModal .tab-btn').removeClass('active');
    $('#playerDetailsModal .tab-content').removeClass('active');
    $('#playerDetailsModal .tab-btn:first').addClass('active');
    $('#info').addClass('active');

    $modal.addClass('active');
    feather.replace();
}

// Функция для отображения отзывов об игре
function showGameReviews(gameId) {
    const $modal = $('#gameDetailsModal');
    $modal.addClass('active');
    feather.replace();
}

// Функция для отображения деталей игры
function showGameDetails(gameId) {
    const $modal = $('#gameDetailsModal');
    $('#gameDetailsModal > .modal-content').html('<div class="loading-container"><div class="loading-spinner"></div></div>');
    $('#gameDetailsModal > .modal-content').load('ajax.php?action=game_details&game_id=' + gameId);
    $modal.addClass('active');
    feather.replace();
}

// Функция для отображения отзывов игрока
function showReviews(playerId) {
    const $modal = $('#playerDetailsModal');
    $modal.addClass('active');
    feather.replace();
}

// Функции закрытия специфических модальных окон
function closeGameDetails() {
    $('#gameDetailsModal').removeClass('active');
}

function closePlayerDetails() {
    $('#playerDetailsModal').removeClass('active');
}

// Общая функция закрытия модальных окон
function closeModal() {
    $('.modal').removeClass('active');
}

// Привязка обработчиков закрытия модальных окон
$(document).ready(function() {
    // Закрытие по клику на крестик
    $('.modal-close, .close-btn').on('click', closeModal);

    // Закрытие по клику вне модального окна
    $('.modal').on('click', function(e) {
        if ($(e.target).is('.modal')) {
            closeModal();
        }
    });
});

function flash_message(object, message){
    $(object).hide().html(message).fadeIn(100);
    setTimeout(function(){
        $(object).fadeOut(2000);
    }, 500);
}

$(document).on('change', '.auto-save', function(){
    $(this).closest('form').submit();
});

function toggleDropdown(button) {
    $(".dropdown-content").hide();
    const dropdown = button.nextElementSibling;
    dropdown.style.display = dropdown.style.display === 'none' ? 'block' : 'none';
}

function copyRegistrationLink(object, gameId, role) {
    const baseUrl = window.location.origin + '/register/';
    const link = 'https://t.me/MonetizatorGameBot?start=reg_'+gameId+'_'+role+'_master';
    navigator.clipboard.writeText(link);
    const tooltip = $('<div class="copy-tooltip">Ссылка скопирована</div>');
    $(object).parent().parent().append(tooltip);
    tooltip.fadeIn(200).delay(1000).fadeOut(200, function() {
        $(this).remove();
    });
    $(".dropdown-content").hide();
}

// Закрываем дропдаун при клике вне его
document.addEventListener('click', function(e) {
    if (!e.target.closest('.dropdown')) {
        document.querySelectorAll('.dropdown-content').forEach(dropdown => {
            dropdown.style.display = 'none';
        });
    }
});