<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Монетизатор - Авторизация</title>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <style>
        :root {
            --primary-color: #FFB800;
            --background-color: #1A1A1A;
            --card-background: #242424;
            --text-color: #FFFFFF;
            --text-secondary: #888888;
            --success-color: #4CAF50;
            --border-color: #333333;
        }

        body {
            margin: 0;
            padding: 0;
            font-family: 'Inter', sans-serif;
            background-color: var(--background-color);
            color: var(--text-color);
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .auth-container {
            background: var(--card-background);
            border-radius: 12px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
            padding: 2.5rem;
            width: 100%;
            max-width: 480px;
        }

        .auth-title {
            color: var(--primary-color);
            font-size: 2rem;
            font-weight: 700;
            margin-bottom: 1.5rem;
            text-align: center;
        }

        .auth-text {
            color: var(--text-secondary);
            font-size: 1rem;
            margin-bottom: 2rem;
            line-height: 1.5;
            text-align: center;
        }

        .auth-content {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }

        .tg-auth-btn {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background: #0088cc;
            color: #ffffff;
            padding: 0.75rem 1.5rem;
            border-radius: 8px;
            text-decoration: none;
            font-size: 1rem;
            font-weight: 600;
            transition: all 0.2s;
            border: none;
            cursor: pointer;
            width: auto;
            margin-bottom: 1.5rem;
            min-width: 200px;
        }

        .tg-auth-btn:hover {
            background: #0077b3;
            transform: translateY(-2px);
        }

        .tg-icon {
            width: 24px;
            height: 24px;
            margin-right: 12px;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23ffffff' d='M19.2,4.4L2.9,10.7c-1.1,0.4-1.1,1.1-0.2,1.3l4.1,1.3l1.6,4.8c0.2,0.5,0.1,0.7,0.6,0.7c0.4,0,0.6-0.2,0.8-0.4 c0.1-0.1,1-1,2-2l4.2,3.1c0.8,0.4,1.3,0.2,1.5-0.7l2.8-13.1C20.6,4.6,19.9,4,19.2,4.4z M17.1,7.4l-7.8,7.1L9,17.8L7.4,13l9.2-5.8 C17,6.9,17.4,7.1,17.1,7.4z'/%3E%3C/svg%3E");
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
        }

        .auth-footer {
            margin-top: 2rem;
            color: var(--text-secondary);
            text-align: center;
        }

        .auth-footer p {
            margin-bottom: 1rem;
        }

        .continue-btn {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background: var(--primary-color);
            color: #000000;
            padding: 0.75rem 1.5rem;
            border-radius: 8px;
            text-decoration: none;
            font-size: 1rem;
            font-weight: 600;
            transition: all 0.2s;
            border: none;
            cursor: pointer;
        }

        .continue-btn:hover {
            background: #E6A600;
            transform: translateY(-2px);
        }

        .arrow-icon {
            width: 20px;
            height: 20px;
            margin-left: 8px;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23000000' d='M12 4l-1.41 1.41L16.17 11H4v2h12.17l-5.58 5.59L12 20l8-8z'/%3E%3C/svg%3E");
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
        }

        #timer-message {
            display: none;
            margin-top: 1rem;
            color: var(--text-secondary);
            font-size: 0.9rem;
        }

        #timer {
            font-weight: bold;
            color: var(--primary-color);
        }
    </style>
    <script>
        function checkAuth() {
            window.location.reload();
        }

        function startAuthTimer() {
            // Показываем сообщение о запуске таймера
            document.getElementById('timer-message').style.display = 'block';
            
            let seconds = 5;
            const timerElement = document.getElementById('timer');
            
            // Обновляем таймер каждую секунду
            const interval = setInterval(() => {
                seconds--;
                timerElement.textContent = seconds;
                
                if (seconds <= 0) {
                    clearInterval(interval);
                    window.location.reload();
                }
            }, 1000);
        }
    </script>
</head>
<body>
    <div class="auth-container">
            <h1 class="auth-title"> <img src="https://igra-monetizator.ru/images/logo300px.png" alt="Логотип" style="height: 130px; margin-right: 10px; vertical-align: middle;"> МОНЕТИЗАТОР</h1>
        <div class="auth-content">
            <p class="auth-text">Для доступа к панели управления необходима авторизация через Telegram</p>
            
            <a class="tg-auth-btn" href='https://t.me/MonetizatorGameBot?start=auth_{ses_id}' onclick="startAuthTimer(); return true;" target="_blank">
                <span class="tg-icon"></span>
                Войти через Telegram
            </a>

            <div id="timer-message">
                Страница обновится автоматически через <span id="timer">5</span> секунд
            </div>

            <div class="auth-footer">
                <p>После авторизации вернитесь на эту страницу и нажмите</p>
                <a href="#" class="continue-btn" onclick="checkAuth(); return false;">
                    Продолжить <span class="arrow-icon"></span>
                </a>
            </div>
        </div>
    </div>
</body> 
</html>