    <!-- Модальное окно -->
    <div class="modal" id="addGameModal">
        <div class="modal-content">
            <div class="modal-header">
                <h2>{title}</h2>
                <button class="modal-close" onclick="closeModal()">
                    <i data-feather="x"></i>
                </button>
            </div>
            <form id="addGameForm" class="modal-form ajaxJS">
                <input type="hidden" name="action" value="set_game_data">
                <input type="hidden" name="game_id" value="{game_id}">
                <div class="form-row">
                    <div class="form-group">
                        <label for="gameCity">Город</label>
                        <select id="gameCity" name="city" value="{city}" required>
                            <option value="">Выберите город</option>
                            {city_options}
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="gameDate">Дата и время</label>
                        <input type="datetime-local" id="gameDate" name="date_time" value="{date_time}" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label for="maxPlayers">Максимум игроков</label>
                        <input type="number" id="maxPlayers" name="max_players" value="{max_players}" min="1" required>
                    </div>
                    <div class="form-group">
                        <label for="maxSpectators">Максимум зрителей</label>
                        <input type="number" id="maxSpectators" name="max_spectators" value="{max_spectators}" min="0" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label for="playerPrice">Стоимость для игрока (₽)</label>
                        <input type="number" id="playerPrice" name="player_price" value="{player_price}" min="0" step="100" required>
                    </div>
                    <div class="form-group">
                        <label for="spectatorPrice">Стоимость для зрителя (₽)</label>
                        <input type="number" id="spectatorPrice" name="spectator_price" value="{spectator_price}" min="0" step="100" required>
                    </div>
                </div>



                <div class="form-row">
                    <div class="form-group">
                        <label style="width: fit-content;">Адрес проведения игры или ссылка на онлайн-игру</label>
                        <textarea id="gameAddress" rows="2" name="address" placeholder="Укажите адрес проведения игры">{address}</textarea>
                    </div>
                    <div class="form-group">
                    <div class="location-type">
                        <label style="width: fit-content;">Формат проведения</label>
                        <label class="radio-label" style="line-height: 20px; margin-top: 5px;" >
                            <input type="radio" name="locationType" value="offline" style="width: 20px; height: 20px;" {locationType_offline}>
                            &nbsp;Офлайн
                        </label>
                         <label class="radio-label" style="line-height: 20px; margin-top: 5px;">
                            <input type="radio" name="locationType" value="online" style="width: 20px; height: 20px;" {locationType_online}>
                            &nbsp;Онлайн
                        </label>
                    </div>
                    </div>
                </div>


                <div class="form-group">
                    <label for="gameShortDescription">Краткое описание (для анонса)</label>
                    <textarea id="gameShortDescription" rows="2" name="short_description" required>{short_description}</textarea>
                </div>
                <div class="form-group">
                    <label for="gameDescription">Подробное описание</label>
                    <textarea id="gameDescription" rows="4" name="description" required>{description}</textarea>
                </div>


                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" onclick="closeModal()">Отмена</button>
                    <button type="submit" class="btn btn-primary">Создать игру</button>
                </div>
            </form>
        </div>
    </div>